<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/i2c_software_gpio.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">i2c_software_gpio.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This is the header file of <a class="el" href="../../da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio.c</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for i2c_software_gpio.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/dfb/i2c__software__gpio_8h__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8h" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8h" id="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8h">
<area shape="rect" title="This is the header file of i2c_software_gpio.c." alt="" coords="671,5,814,47"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="689,95,797,121"/>
<area shape="rect" title=" " alt="" coords="5,169,96,196"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="121,169,279,196"/>
<area shape="rect" title=" " alt="" coords="303,169,369,196"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,169,447,196"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="472,169,523,196"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="547,169,613,196"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,169,691,196"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="715,169,770,196"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="794,169,851,196"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="876,169,927,196"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="951,169,1011,196"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1036,169,1087,196"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1111,169,1174,196"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1198,169,1253,196"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1277,169,1331,196"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d04/i2c__software__gpio_8h__dep__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8hdep" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8hdep" id="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio_8hdep">
<area shape="rect" title="This is the header file of i2c_software_gpio.c." alt="" coords="5,5,148,47"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="5,95,148,136"/>
</map>
</div>
</div>
<p><a href="../../d9/d99/i2c__software__gpio_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a167814ca2a6f09e100fcb1ccafbae808"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d99/i2c__software__gpio_8h.html#a167814ca2a6f09e100fcb1ccafbae808">I2C_SW_Open</a> (uint32_t u32BusClock)</td></tr>
<tr class="memdesc:a167814ca2a6f09e100fcb1ccafbae808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare to start software I2C.  <a href="../../d9/d99/i2c__software__gpio_8h.html#a167814ca2a6f09e100fcb1ccafbae808">More...</a><br /></td></tr>
<tr class="separator:a167814ca2a6f09e100fcb1ccafbae808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6525fbd9ba4ce82c2520351b92cfd18c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d99/i2c__software__gpio_8h.html#a6525fbd9ba4ce82c2520351b92cfd18c">I2C_SW_Send</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:a6525fbd9ba4ce82c2520351b92cfd18c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data.  <a href="../../d9/d99/i2c__software__gpio_8h.html#a6525fbd9ba4ce82c2520351b92cfd18c">More...</a><br /></td></tr>
<tr class="separator:a6525fbd9ba4ce82c2520351b92cfd18c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb712d967bbb57dc9633386ba4316600"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d99/i2c__software__gpio_8h.html#adb712d967bbb57dc9633386ba4316600">I2C_SW_Get</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:adb712d967bbb57dc9633386ba4316600"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data.  <a href="../../d9/d99/i2c__software__gpio_8h.html#adb712d967bbb57dc9633386ba4316600">More...</a><br /></td></tr>
<tr class="separator:adb712d967bbb57dc9633386ba4316600"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This is the header file of <a class="el" href="../../da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio.c</a>. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>3 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/09/30 6:48p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d9/d99/i2c__software__gpio_8h_source.html">i2c_software_gpio.h</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="adb712d967bbb57dc9633386ba4316600" name="adb712d967bbb57dc9633386ba4316600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb712d967bbb57dc9633386ba4316600">&#9670;&nbsp;</a></span>I2C_SW_Get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t I2C_SW_Get </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>data length </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html#l00145">145</a> of file <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html">i2c_software_gpio.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d99/i2c__software__gpio_8h_adb712d967bbb57dc9633386ba4316600_cgraph.png" border="0" usemap="#ad9/d99/i2c__software__gpio_8h_adb712d967bbb57dc9633386ba4316600_cgraph" alt=""/></div>
<map name="ad9/d99/i2c__software__gpio_8h_adb712d967bbb57dc9633386ba4316600_cgraph" id="ad9/d99/i2c__software__gpio_8h_adb712d967bbb57dc9633386ba4316600_cgraph">
<area shape="rect" title="Read data." alt="" coords="5,23,104,50"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="339,23,473,50"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#adcfe15e97d3973218076f997f7d37afb" title="Read a byte." alt="" coords="156,23,287,50"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#af9a92fff1ca7c01fa0a12b18d4b5c88a" title="Send a byte." alt="" coords="152,74,291,100"/>
</map>
</div>

</div>
</div>
<a id="a167814ca2a6f09e100fcb1ccafbae808" name="a167814ca2a6f09e100fcb1ccafbae808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a167814ca2a6f09e100fcb1ccafbae808">&#9670;&nbsp;</a></span>I2C_SW_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t I2C_SW_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prepare to start software I2C. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32BusClock</td><td>I2C Bus Clock (Hz) </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html#l00027">27</a> of file <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html">i2c_software_gpio.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d99/i2c__software__gpio_8h_a167814ca2a6f09e100fcb1ccafbae808_cgraph.png" border="0" usemap="#ad9/d99/i2c__software__gpio_8h_a167814ca2a6f09e100fcb1ccafbae808_cgraph" alt=""/></div>
<map name="ad9/d99/i2c__software__gpio_8h_a167814ca2a6f09e100fcb1ccafbae808_cgraph" id="ad9/d99/i2c__software__gpio_8h_a167814ca2a6f09e100fcb1ccafbae808_cgraph">
<area shape="rect" title="Prepare to start software I2C." alt="" coords="5,5,113,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="161,5,275,32"/>
</map>
</div>

</div>
</div>
<a id="a6525fbd9ba4ce82c2520351b92cfd18c" name="a6525fbd9ba4ce82c2520351b92cfd18c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6525fbd9ba4ce82c2520351b92cfd18c">&#9670;&nbsp;</a></span>I2C_SW_Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t I2C_SW_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>data length </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html#l00076">76</a> of file <a class="el" href="../../da/d64/i2c__software__gpio_8c_source.html">i2c_software_gpio.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d99/i2c__software__gpio_8h_a6525fbd9ba4ce82c2520351b92cfd18c_cgraph.png" border="0" usemap="#ad9/d99/i2c__software__gpio_8h_a6525fbd9ba4ce82c2520351b92cfd18c_cgraph" alt=""/></div>
<map name="ad9/d99/i2c__software__gpio_8h_a6525fbd9ba4ce82c2520351b92cfd18c_cgraph" id="ad9/d99/i2c__software__gpio_8h_a6525fbd9ba4ce82c2520351b92cfd18c_cgraph">
<area shape="rect" title="Send data." alt="" coords="5,5,112,32"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="347,5,481,32"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#af9a92fff1ca7c01fa0a12b18d4b5c88a" title="Send a byte." alt="" coords="160,31,299,57"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
